{ nixpkgs ? import <nixpkgs> {} }: with nixpkgs;
stdenv.mkDerivation rec {
  name = "gogs-${version}";
  version = "0.7.33";

  src = fetchzip {
    url = "https://github.com/gogits/gogs/releases/download/v${version}/linux_amd64.zip";
    sha256 = "0y8yn9z80knnlr05i4f2vbhdyvx0s5lsy1x1hmzlyd28aa2ksppv";
  };

  buildPhase = ''
    patchelf \
      --set-interpreter "$(cat $NIX_CC/nix-support/dynamic-linker)" \
      --set-rpath ${pam}/lib \
      gogs
  '';

  installPhase = ''
    cp -ra ./ $out/
  '';
}
